Detailed Search by Vehicle No. API
Introduction
This service is used for retrieving the details of vehicle registration and owner details by entering the vehicle registration number. It helps in auto-generating the details for the vehicle without having to manually provide the information.
How to call the API
You will need to login before sending the request. You are required to pass the access token received from the login call, as the authorization header in the request.
API Input Guidelines
- Vehicle Number is the Mandatory Parameter to be passed.
Sample CURL Request
curl --location --request POST 'https://signzy.tech/api/v2/patrons/<patron ID>/vehicleregistrations' \
--header 'Content-Type: application/json' \
--header 'Authorization: <token>' \
--data-raw '{
"task" : "detailedSearch",
"essentials": {
"vehicleNumber": "<vehicle Number>",
"blacklistCheck" : "true"
}
}'Input Parameters
PARAMETER NAME | REQUIRED/OPTIONAL | DESCRIPTION |
|---|---|---|
Content-Type | Required | application/json |
Authorization | Required | Contains the id parameter returned from the login step |
task | Required | The type of task performed - “detailedSearch” |
essentials | Required | Contains the essential part of request |
essentials.vehicleNumber | Required | Vehicle number |
essentials.blacklistCheck | Optional | This parameter checks if the vehicle is black listed or not(i.e. true/fasle) |
Sample API Response
{
"essentials": {
"vehicleNumber": "",
"blacklistCheck": "true"
},
"id": "",
"patronId": "",
"task": "detailedSearch",
"result": {
"regNo": "",
"class": "M-Cycle/Scooter(2WN)",
"chassis": "",
"engine": "",
"vehicleManufacturerName": "",
"model": "",
"vehicleColour": "",
"type": "",
"normsType": "",
"bodyType": "",
"ownerCount": "",
"owner": " ",
"ownerFatherName": " ",
"mobileNumber": "",
"status": "",
"statusAsOn": "",
"regAuthority": "",
"regDate": "",
"vehicleManufacturingMonthYear": "",
"rcExpiryDate": "",
"vehicleTaxUpto": "NA",
"vehicleInsuranceCompanyName": "",
"vehicleInsuranceUpto": "",
"vehicleInsurancePolicyNumber": "",
"rcFinancer": "",
"presentAddress": "",
"splitPresentAddress": {
"district": [
""
],
"state": [
[
"",
""
]
],
"city": [
""
],
"pincode": "",
"country": [
"IN",
"IND",
"INDIA"
],
"addressLine": ""
},
"permanentAddress": "",
"splitPermanentAddress": {
"district": [
""
],
"state": [
[
"",
""
]
],
"city": [
""
],
"pincode": "",
"country": [
"IN",
"IND",
"INDIA"
],
"addressLine": ""
},
"vehicleCubicCapacity": "",
"grossVehicleWeight": "0",
"unladenWeight": "",
"vehicleCategory": "",
"rcStandardCap": "NA",
"vehicleCylindersNo": "",
"vehicleSeatCapacity": "",
"vehicleSleeperCapacity": "0",
"vehicleStandingCapacity": "NA",
"wheelbase": "0",
"vehicleNumber": "",
"puccNumber": "NA",
"puccUpto": "NA",
"blacklistStatus": "NA",
"blacklistDetails": [],
"challanDetails": [],
"permitIssueDate": "NA",
"permitNumber": "",
"permitType": "",
"permitValidFrom": "NA",
"permitValidUpto": "NA",
"nonUseStatus": "N",
"nonUseFrom": "NA",
"nonUseTo": "NA",
"nationalPermitNumber": "",
"nationalPermitUpto": "NA",
"nationalPermitIssuedBy": "",
"isCommercial": false,
"nocDetails": "NA"
}
}Response Parameters
PARAMETER NAME | DESCRIPTION | |
|---|---|---|
id | Unique user ID | |
patronID | Unique patron ID | |
task | Task to be performed-detailedSearch | |
result | This holds the actual output of the response | |
result.regNo | The registration Number of the vehicle number being searched | |
result.class | The vehicle class information | |
result.chassis | The chassis number of the registered vehicle | |
result.vehicleManufacturerName | The name of the vehicle manufacturer | |
result.model | Model of the vehicle | |
result.type | type of vehicle(petrol/disel/electric etc) | |
result.normsType | Type of norms | |
result.bodyType | Type of the body | |
result.ownerCount | Number of owner of the vehicle | |
result.owner | Name of the owner | |
result.ownerFatherName | The father's name of the vehicle owner | |
result.mobileNumber | Mobile number of the vehicle owner | |
result.status | status of the ownership | |
result.statusASOn | Status last checked date | |
result.regAuthority | The registration authority of the vehicle registration | |
result.regDate | The registration date of the vehicle number | |
result.vehicleManufacturingMonthYear | The month and year of manufacturing for the particular vehicle. | |
result.rcExpiryDate | The date of expiry for the vehicle registration. | |
result.vehicleTaxUpto | The date upto which the vehicle tax information is paid/valid. | |
result.vehicleInsuranceCompanyName | This parameter holds the name and details of the company which has carried out the insurance for the registered vehicle | |
result.vehicleInsuranceUpto | The date upto which the vehicle registration is valid. | |
result.vehicleInsurancePolicyNumber | The policy number of the vehicle insurance for the vehicle being searched. | |
result.rcFinancer | The financer information for the registration is available here. | |
result.presentAddress | The present address of the vehicle owner is displayed here. | |
result.splitPresentAddress | This parameter displays the various parts of the present address to which the vehicle is registered by splitting them into separate categories like district, state, city, pincode and country. For the country category, acceptable values is “IN”,”IND”and”INDIA” | |
result.splitPresentAddress.addressLine | first line of address | |
result.permanentAddress | The permanent address to which the vehicle is registered. | |
result.splitPermanentAddress | This parameter displays the various parts of the permanent address to which the vehicle is registered by splitting them into separate categories like district, state, city, pincode and country. For the country category, acceptable values is “IN”,”IND”and”INDIA” | |
result.splitPermanentAddress.addressLine | First line of address | |
result.vehicleCubicCapacity | The vehicle cubic capacity and dimension | |
result.grossVehicleWeight | The gross vehicle weight of the vehicle | |
result.unladenWeight | The weight of the vehicle when not loaded with goods. | |
result.vehicleCategory | The category to which the vehicle belongs | |
result.rcStandardCap | RC standard cap details | |
result.vehicleCylindersNo | The number of cylinders/combustion chamber in the engine | |
result.vehicleSeatCapacity | The seating capacity of the vehicle | |
result.vehicleSleeperCapacity | no of people thatcan sleep in the vehicle | |
result.wheelbase | it is the horizontal distance between the centers of the front and rear wheels | |
result.vehicleNumber | Registration Number of the vehicle. | |
result.puccNumber | Pollution Under Control Certificates (PUCC)number | |
result.blacklistStatus | It checks whether vehicle is blacklisted or not | |
result.blacklistDetails | Details of the blacklisted vehicle | |
result.permitIssueDate | Date of issue of the permit | |
result.permitNumber | Permit Number corresponding to the granted permit | |
result.permitType | Type of permit | |
result.permitValidFrom | Date from when permit is valid | |
result.permitValidUpto | Date upto which permit valid | |
result.nonUseStatus | It displays status of nonuse | |
result.nonUseFrom | Date from which it is not being used | |
result.nonUseTo | Date till which it is not in use | |
result.nationalPermitNumber | National permit number | |
result.nationalPermitUpto | National Permit validity date | |
result.nationalPermitIssuedBy | National permit Issueing organization name | |
result.isCommercial | It shows whether vehicle is commercial or not | |
result.nocDetails | It contains the details of the NOC | |
Getting help
Please feel free to contact us if you have any questions, require clarification, or have ideas for how to make the documents or any of our services better.
You can reach out to us at [email protected].